addLoadEvent(setup);

function addLoadEvent(func)
{	
	var oldonload = window.onload;
	if (typeof window.onload != 'function'){
    	window.onload = func;
	} else {
		window.onload = function(){
		oldonload();
		func();
		}
	}
}

function createElement(element)
{
 // thanks to Simon Willison...
  if (typeof document.createElementNS != 'undefined') {
    return document.createElementNS('http://www.w3.org/1999/xhtml', element);
  }
  if (typeof document.createElement != 'undefined') {
    return document.createElement(element);
  }
  return false;
}

function addImage(img)
{
	var i = createElement('img');
	i.setAttribute('id',img);
	i.setAttribute('src','img/' + img + '.png');
	document.body.appendChild(i);		
}

function setup()
{
	// create the desktop items...
	var images = new Array("twix2","pics1","pen","postit-quote","invite","pencil-red","pencil-yellow","pencil-blue")
	for(var i=0; i < images.length; i++)
	{
		addImage(images[i]);
		new Draggable(images[i],{starteffect:null, endeffect:null});
		document.getElementById(images[i]).style.cursor='move';
	}

	if(document.getElementById('charity1'))
	{
		for(var i=1; i < 7; i++)
		{	
			var thischar = document.getElementById('charity' + i);
			thischar.onclick = new Function("setvote('" + thischar.title + "')");
		}
	}
}

function setvote(charname)
{
	document.getElementById('confirm').style.visibility="visible";
	document.getElementById('charname').innerHTML=charname;
}